# OMPL Plannification: controller_quadrotor.Controller Class Reference

controller_quadrotor.Controller Class Reference
Inheritance diagram for controller_quadrotor.Controller:
[legend]
Collaboration diagram for controller_quadrotor.Controller:
[legend]

## Public Member Functions

def | __init__ (self)
def | calculateControlInput (self, req)
def | odomCallback (self, odometry_msg)

## Public Attributes

| odometry_sub_
| control_input_pub_
| serv_
| current_position_
| current_orientation_
| desired_position_
| desired_orientation_
| find_path_to_goal_serv_

## Detailed Description

Definition at line 17 of file controller_quadrotor.py.

The documentation for this class was generated from the following file:

- /home/blue/GitLab Repo/OMPL_Planning/Source Files/mapping_planning_tutorial/control_turtlebot/src/controller_quadrotor.py